{
  "name" : "GreenVillageRecordMetadata",
  "namespace":"org.thegreenvillage.record",
  "type" : "record",
  "fields" : [
    {
      "name" : "device_id",
      "type" : "string",
      "doc" : "Device id number: unique id for the device within a project."
    }, {
      "name" : "project_id",
      "type" : "string",
      "doc" : "Project id number: globally unique id for the project this device belongs to."
    }, {
      "name" : "description",
      "type" : "string",
      "doc" : "General record source description."
    }, {
      "name" : "manufacturer",
      "type" : ["null", "string"],
      "doc" : "Manufacturer of the record source."
    }, {
      "name" : "serial",
      "type" : ["null", "string"],
      "doc" : "Serial number of the record source."
    }, {
      "name" : "placement_timestamp",
      "type" : ["null", "long"],
      "doc" : "Timestamp (milliseconds since unix epoch, UTC) when record source was placed."
    }, {
      "name" : "location",
      "type" : ["null", "string"],
      "doc" : "Description of the location the sensor is placed at."
    }, {
      "name" : "latitude",
      "type" : ["null", "float"],
      "doc" : "Latitude in decimal degrees of the sensor location (GPS coordinates)."
    }, {
      "name" : "longitude",
      "type" : ["null", "float"],
      "doc" : "Longitude in decimal degrees of the sensor location (GPS coordinates)."
    }, {
      "name" : "altitude",
      "type" : ["null", "float"],
      "doc" : "Altitude in meters above the mean sea level."
    }, {
      "name" : "topic_partition",
      "type" : ["null", "int"],
      "doc" : "Manual topic partition assignment (null otherwise)."
    }
  ]
}
